// Global ATON and THREE

/**
 * @module Environment
 */

/**
 * 
 * @param {THREE.Vector3} vector - An object with x,y,z coordinates
 */
export function changeLightDirection (vector) {
    ATON.setMainLightDirection(vector);
}

/**
 * 
 * @param {Boolean} isEnabled 
 */
export function toggleAmbientOcclusion (isEnabled) {
    ATON.FX.togglePass(ATON.FX.PASS_AO, isEnabled);
    console.log('Ambient occlusion', isEnabled ? 'ON' : 'OFF');
}
